<?php
include ("conexion.php");
$folio=$_GET['folio'];

 
$con1="SELECT idPaquete,fechaSalida,expedientePaciente,nombrePaciente,doctor,montoTotal,idTratamiento,materia FROM salida WHERE idSalida='$folio'";


$res1=mysql_query($con1,$conex) or die ("No se realizo con1");
$idpaquete=mysql_result($res1,0,'idPaquete');
$idTratamiento=mysql_result($res1,0,'idTratamiento');
$fechasalida=mysql_result($res1,0,'fechaSalida');
$expediente=mysql_result($res1,0,'expedientePaciente');
$nombre=mysql_result($res1,0,'nombrePaciente');
$doctor=mysql_result($res1,0,'doctor');
$monto=mysql_result($res1,0,'montoTotal');
$materia=mysql_result($res1,0,'materia');
 
if ($idTratamiento==0)
{
$con2="SELECT nompaquete FROM paquetes WHERE idPaquete='$idpaquete'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'nompaquete');
}
if ($idpaquete==0)
{
$con2="SELECT tratamientoCompleto FROM tratamientocompleto WHERE idTratamiento='$idTratamiento'";
$res2=mysql_query($con2,$conex) or die ("No se realizo con1");
$concepto=mysql_result($res2,0,'tratamientoCompleto');
}

$fecha=explode("-",$fechasalida);
// $fecha[0] año
// $fecha[1] Mes
// $fecha[2] dia

if ($fecha[1] == 01)
	{$mes="Ene";}
if ($fecha[1] == 02)
	{$mes="Feb";}
if ($fecha[1] == 03)
	{$mes="Mar";}
if ($fecha[1] == 04)
	{$mes="Abr";}
if ($fecha[1] == 05)
	{$mes="May";}
if ($fecha[1] == 06)
	{$mes="Jun";}
if ($fecha[1] == 07)
	{$mes="Jul";}
if ($fecha[1] == 08)
	{$mes="Ago";}
if ($fecha[1] == 09)
	{$mes="Sep";}
if ($fecha[1] == 10)
	{$mes="Oct";}
if ($fecha[1] == 11)
	{$mes="Nov";}
if ($fecha[1] == 12)
	{$mes="Dic";}

$fechafinal= $fecha[2]."-".$mes."-".$fecha[0];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Ticket de Venta</title>
<link href="ticket_estilo.css" rel="stylesheet" type="text/css" />
<link href="ticket_estiloimpresion.css" rel="stylesheet" type="text/css" media="print">
<style type="text/css">
<!--
.Estilo2 {
	font-size: 18pt;
	color: #999999;
}
.Estilo1 {
	font-size: 9pt;
	color: #333333;
	font-weight:bold;
}
.boton{font-size:10px}
-->
</style>
</head>

<body>
<table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><div align="center" id="noimprimible"><span class="Estilo2">TICKET GENERADO</span></div>
      <table width="550" border="0" align="center">
        <tr>
          <td width="315" height="23">&nbsp;</td>
          <td width="225" valign="bottom"><div align="right"><?php echo $fechafinal; ?></div></td>
        </tr>
        <tr>
          <td height="20">&nbsp;</td>
          <td valign="top"><div align="right"><strong>No. Control:</strong> <span class="Estilo1"><?php echo $folio; ?></span></div></td>
        </tr>
      </table>
      <table width="550" border="0" align="center" cellpadding="0" cellspacing="5">
        <tr>
          <td width="10%"><div >
            <div align="right"><strong>Paciente:</strong></div>
          </div></td>
          <td width="61%"><?php echo $nombre; ?></td>
          <td width="29%" ><div align="right"><strong>Expediente: </strong><?php echo $expediente; ?></div></td>
        </tr>
        <tr>
          <td><div >
            <div align="right"><strong>Alumno:</strong></div>
          </div></td>
          <td colspan="2"><?php echo $doctor; ?></td>
        </tr>
        <tr>
          <td><div align="right"><strong>Materia:</strong></div></td>
          <td colspan="2"><?php echo $materia; ?></td>
        </tr>
      </table>
      <table width="550" border="0" align="center" cellpadding="0" cellspacing="5">
        <tr>
          <td width="30" height="150" align="center" valign="top">1</td>
          <td width="455" valign="top"><strong>Tratamiento:</strong>
              <p>&nbsp;&nbsp;&nbsp;<?php echo $concepto; ?></p></td>
        </tr>
      </table>
      <table width="600" border="0" align="center">
        <tr>
          <td width="435"><?php
		  require "conversor.php";
		  	$resultado = convertir($monto);
			print("<p>$resultado</p>");
	 ?>          </td>
          <td width="155"><div align="right"><?php printf ("$%.2f", $monto); ?></div></td>
        </tr>
      </table>
      <hr width="600" size="1" color="#999999" class="linea" id="noimprimible" /></td>
  </tr>
  <tr>
    <td><p id="noimprimible"><br /><strong>DETALLE:</strong></p>
    <div id="segundahoja"></div>
        <table width="550" border="0" align="center">
          <tr>
            <td width="315" height="28">&nbsp;</td>
            <td width="225" valign="bottom"><div align="right"><?php echo $fechafinal; ?></div></td>
          </tr>
          <tr>
            <td height="20">&nbsp;</td>
            <td valign="top"><div align="right"><strong>No. Control:</strong> <span class="Estilo1"><?php echo $folio; ?></span></div></td>
          </tr>
        </table>
      <table width="550" border="0" align="center" cellpadding="0" cellspacing="5">
          <tr>
            <td width="10%"><div >
                <div align="right"><strong>Paciente:</strong></div>
            </div></td>
            <td width="61%"><?php echo $nombre; ?></td>
            <td width="29%" ><div align="right"><strong>Expediente: </strong><?php echo $expediente; ?></div></td>
          </tr>
          <tr>
            <td><div >
                <div align="right"><strong>Alumno:</strong></div>
            </div></td>
            <td colspan="2"><?php echo $doctor; ?></td>
          </tr>
          <tr>
            <td><div align="right"><strong>Materia:</strong></div></td>
            <td colspan="2"><?php echo $materia; ?></td>
          </tr>
          <tr>
            <td><strong>Tratamiento:</strong></td>
            <td colspan="2"><?php echo $concepto; ?></td>
          </tr>
        </table>
      <p>
          <?php

echo "<div id='contenido_venta'>";
echo "<table border=0 cellpadding='2'>";
echo "<tr>";

echo "<td bgcolor='#FFFFFF'>";
echo "<strong>Entregado</strong>";
echo "</td>";
					
echo "<td>";
echo "<strong>Clave</strong>";
echo "</td>";
						
echo "<td>";
echo "<strong>Producto</strong>";
echo "</td>";
						
/*echo "<td>";
echo "<strong>Clasificaci&oacute;n</strong>";
echo "</td>";
*/
						
echo "<td>";
echo "<strong>Presentaci&oacute;n</strong>";
echo "</td>";
						
echo "<td>";
echo "<strong>Cantidad</strong>";
echo "</td>";

echo "</tr>";
						
$cons3="SELECT idProducto,cantidad FROM contenido_salida WHERE idSalida='$folio'" ;
$res3=mysql_query($cons3,$conex) or die ("No se realizo con exito la consulta de contenido_salida");
$numero_filas3=mysql_num_rows($res3);
$numero_campos3= mysql_num_fields($res3);
while ($fila3=mysql_fetch_row($res3))
{				  
		echo "<tr>";
		
		//CLAVE
		echo "<td align='center' height='20'>";
		echo "<img src='img/chkbx.jpg' width='15' height='15' />";
		echo "</td>";
		
		//CLAVE
		echo "<td >";
		echo $fila3[0];
		echo "</td>";
		//NOMBRE, DESCRIPCION, PRECIO
		$cons4="SELECT nombre,clasificacion,idPresentacion,precio FROM productos Where clave = '".$fila3[0]."'" ;
		$res4=mysql_query($cons4,$conex) or die ("No se realizo con exito la consulta CONS4");
		$nombre=mysql_result($res4,0,'nombre');
		//$clasificacion=mysql_result($res4,0,'clasificacion');
		$idprese=mysql_result($res4,0,'idPresentacion');
		$precio=mysql_result($res4,0,'precio');
							
		echo "<td >";
		echo $nombre;
		echo "</td>";
							
		/*echo "<td >";
		echo $clasificacion;
		echo "</td>";
		*/
							
		$cons04="SELECT presentacion FROM presentaciones Where idPresentacion = '$idprese'" ;
		$res04=mysql_query($cons04,$conex) or die ("No se realizo con exito la consulta de la presentacion");
		$presen=mysql_result($res04,0,'presentacion');
							
		echo "<td >";
		echo $presen;
		echo "</td>";
							
		//CANTIDAD
		echo "<td align='center'>";
		echo $fila3[1];
		echo "</td>";
													
}//end while
						
echo "</tr>";
echo "</table>";
						
?>
        </p>
      <p id="segundahoja">&nbsp;</p></td>
  </tr>
  <tr>
    <td><div id="noimprimible">
      <table width="125" border="0" align="center" cellpadding="0" cellspacing="10">
        <tr>
          <td width="41" height="24"><form id="form1" name="form1" method="post" action="main.php">
            <input name="button2" type="submit" class="boton" id="button2" value="Inicio" />
          </form></td>
          <td width="54"><form id="form2" name="form1" method="post" >
            <input name="button" type="button" class="boton" id="button" onclick="javascript:print()" value="Imprimir" />
          </form></td>
        </tr>
      </table>
    </div></td>
  </tr>
</table>
</body>
</html>
